# sc::LevelShift Class Reference

Inheritance diagram for sc::LevelShift:

List of all members.

## Public Member Functions

| LevelShift (SCF *)
int | has_side_effects ()
| By default this returns nonzero.
void | set_shift (double)
void | process (SCMatrixBlockIter &)
| This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

## Protected Attributes

SCF * | scf_
double | shift

## Member Function Documentation

int sc::LevelShift::has_side_effects | ( | ) | `[virtual]`

By default this returns nonzero.

If the ElementOp specialization will change any elements of the matrix, then this must be overridden to return nonzero.

Reimplemented from sc::SCElementOp.

void sc::LevelShift::process | ( | SCMatrixBlockIter & | ) | `[virtual]`

This is the fallback routine to process blocks and is called by process_spec members that are not overridden.

Implements sc::SCElementOp.

Reimplemented in sc::ALevelShift, and sc::BLevelShift.

The documentation for this class was generated from the following file:

- scfops.h